Append suffix to cookie name
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If I run two Redmine instances on the same server (connecting to different databases and using two TCP ports),

the "_session_id" and "autologin" cookies don't work correctly because they are shared between the

two Redmine instances.

The idea:

If there was a configuration option (stored in the database) which defines a suffix that is appended to the cookie name,

different Redmine instances may have different cookie names. So the cookies won't get in each other's way.

Related issues:

Related to Redmine - Feature #1763: Autologin-cookie should be configurable Closed 2008-08-11

History

#1 - 2008-01-09 09:38 - Thomas Löber

I found out that I can define the name of the session ID cookie by setting

ActionController::Base.session_options[:session_key] in config/environments/production.rb.

Unfortunately this has no effect on the "autologin" cookie.

#2 - 2011-03-29 14:12 - Toshi MARUYAMA

- Category set to Accounts / authentication

#3 - 2015-12-23 06:23 - Go MAEDA

- Status changed from New to Closed

A feature to configure autologin cookie name was implemented by #1763 (Redmine 1.2.0).
